org.apache.cassandra.io.sstable.metadata

## Class MetadataCollector.MinMaxLongTracker

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataCollector.MinMaxLongTracker

- Enclosing class:
    MetadataCollector

      public static class MetadataCollector.MinMaxLongTracker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinMaxLongTracker()`
    `MinMaxLongTracker(long defaultMin, long defaultMax)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `max()`
    `long` | `min()`
    `void` | `update(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinMaxLongTracker

          public MinMaxLongTracker()

    - #### MinMaxLongTracker

          public MinMaxLongTracker(long defaultMin,
                                   long defaultMax)

  - ### Method Detail

    - #### update

          public void update(long value)

    - #### min

          public long min()

    - #### max

          public long max()

Copyright © 2018 The Apache Software Foundation